xmltooling 3.0.4

Public Member Functions | List of all members
xmlencryption::DecryptionException Class Reference

Exceptions in decryption processing
More...

`#include <xmltooling/encryption/Decrypter.h>`

Inheritance diagram for xmlencryption::DecryptionException:
[legend]
Collaboration diagram for xmlencryption::DecryptionException:
[legend]

## Public Member Functions
| DecryptionException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor
| DecryptionException (const char *msg, const xmltooling::namedparams &p)
| Constructor
| DecryptionException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor
| DecryptionException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor
virtual const char * | getClassName () const
| Returns a unique name for the exception class. More...
void | raise () const
| Raises an exception using itself. More...
Public Member Functions inherited from xmltooling::XMLToolingException
| XMLToolingException (const char *msg=0, const params &p=params())
| Constructs an exception using a message and positional parameters. More...
| XMLToolingException (const char *msg, const namedparams &p)
| Constructs an exception using a message and named parameters. More...
| XMLToolingException (const std::string &msg, const params &p=params())
| Constructs an exception using a message and positional parameters. More...
| XMLToolingException (const std::string &msg, const namedparams &p)
| Constructs an exception using a message and named parameters. More...
const char * | getMessage () const
| Returns the error message, after processing any parameter references. More...
const char * | what () const throw ()
| Returns the error message, after processing any parameter references. More...
void | setMessage (const char *msg)
| Sets the error message. More...
void | setMessage (const std::string &msg)
| Sets the error message. More...
void | addProperties (const params &p)
| Attach a set of positional parameters to the exception. More...
void | addProperties (const namedparams &p)
| Attach a set of named parameters to the exception. More...
void | addProperty (const char *value)
| Attach a single positional parameter at the next available position. More...
void | addProperty (const char *name, const char *value)
| Attach a single named parameter. More...
const char * | getProperty (unsigned int index) const
| Returns the parameter property with the designated position (based from one). More...
const char * | getProperty (const char *name) const
| Returns the parameter property with the designated name. More...
virtual void | raise () const
| Raises an exception using itself. More...
virtual const char * | getClassName () const
| Returns a unique name for the exception class. More...
std::string | toString () const
| Returns a string containing a serialized representation of the exception. More...
std::string | toQueryString () const
| Returns a set of query string name/value pairs, URL-encoded, representing the exception's type, message, and parameters. More...

## Additional Inherited Members
Public Types inherited from xmltooling::XMLToolingException
typedef XMLToolingException * | ExceptionFactory()
| A factory function that returns an empty exception object of a given type.
Static Public Member Functions inherited from xmltooling::XMLToolingException
static XMLToolingException * | getInstance (const char *exceptionClass)
| Builds an empty exception of the given type. More...
static XMLToolingException * | fromStream (std::istream &in)
| Builds an exception from a serialized input stream. More...
static XMLToolingException * | fromString (const char *s)
| Builds an exception from a serialized input buffer. More...
static void | registerFactory (const char *exceptionClass, ExceptionFactory *factory)
| Registers a factory to create exceptions of a given class name. More...
static void | deregisterFactory (const char *exceptionClass)
| Unregisters the factory for a given class name. More...
static void | deregisterFactories ()
| Unregisters all factories.

## Detailed Description

Exceptions in decryption processing

## Member Function Documentation

## ◆ getClassName()

virtual const char * xmlencryption::DecryptionException::getClassName | ( |  | ) | const
| inline virtual

Returns a unique name for the exception class.

Returns
  class name

Reimplemented from xmltooling::XMLToolingException.

## ◆ raise()

void xmlencryption::DecryptionException::raise | ( |  | ) | const
| inline virtual

Raises an exception using itself.

Used to raise an exception of a derived type.

Reimplemented from xmltooling::XMLToolingException.

The documentation for this class was generated from the following file:

- xmltooling/encryption/Decrypter.h